# Interface EventEmitterAsyncResourceOptions

interface EventEmitterAsyncResourceOptions {
captureRejections ?: boolean;
name ?: string;
requireManualDestroy ?: boolean;
triggerAsyncId ?: number;
}

#### Hierarchy (View Summary)

- AsyncResourceOptions
- EventEmitterOptions
  - EventEmitterAsyncResourceOptions

- Defined in node_modules/@types/node/events.d.ts:515

##### Index

### Properties

captureRejections?
name?
requireManualDestroy?
triggerAsyncId?

## Properties

### `Optional` captureRejections

captureRejections?: boolean

Enables automatic capturing of promise rejection.

Inherited from EventEmitterOptions.captureRejections

- Defined in node_modules/@types/node/events.d.ts:76

### `Optional` name

name?: string

The type of async event, this is required when instantiating `EventEmitterAsyncResource` directly rather than as a child class.

#### Default

    new.target.name if instantiated as a child class.

- Defined in node_modules/@types/node/events.d.ts:521

### `Optional` requireManualDestroy

requireManualDestroy?: boolean

Disables automatic `emitDestroy` when the object is garbage collected. This usually does not need to be set (even if `emitDestroy` is called manually), unless the resource's `asyncId` is retrieved and the sensitive API's `emitDestroy` is called with it.

#### Default

    false

Inherited from AsyncResourceOptions.requireManualDestroy

- Defined in node_modules/@types/node/async_hooks.d.ts:224

### `Optional` triggerAsyncId

triggerAsyncId?: number

The ID of the execution context that created this async event.

#### Default

    executionAsyncId()

Inherited from AsyncResourceOptions.triggerAsyncId

- Defined in node_modules/@types/node/async_hooks.d.ts:216